Grasshopper

algorithmic modeling for Rhino

Dim CrvList() As List(Of Curve)
CrvList.add(IntCrvA)
CrvList.add(IntCrvB)

Dim LSrf As Brep = rhino.Geometry.Brep.CreateFromLoft(CrvList, Nothing, Nothing, 0, False)

The error comes up as 1-dimensional array error message

Not sure how to dim an array to be able to use createfromloft.

Can someone please explain this to me!?!

Thanks!

Views: 548

Replies to This Discussion

Hey, anyone has an idea about that?

I've solved the lofting problem, but still I can't add the lofted Breps to a list.

It would be really appreciate if some one could tell me how.

Thanks.

Attachments:

create a new list of Breps and add the lofted brep inside the loop

Dim breplst as List(of Brep)

breplst.add(Lsrf)

A= breplst

Hey Zie, I did not understand why you wrote the parenthesis in this line:

137: Dim LBrep() As Brep = rhino.Geometry.Brep.CreateFromLoft(CrvListC, Nothing, Nothing, 0, False)

The definition has the same error, even using the
138: breplst.add(LBrep)

Error (BC30311): Value of type '1-dimensional array of Rhino.Geometry.Brep' cannot be converted to 'Rhino.Geometry.Brep'. (line 138)


All in all, I can create data trees and lists of points and curves but I am still not able to create a loft surface. 

RSS

About

Translate

Search

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service